#include <videogen.h>

void
timer_init (void)
{
  SYSTEM.SCKCR.LONG = 0x00;

  MSTP (TMR0)        = 0;
  
  TMR0.TCORA         = 1;
  
  TMR0.TCR.BIT.CCLR  = 1;    
  TMR0.TCR.BIT.CMIEA = 1;   
  TMR0.TCCR.BIT.CSS  = 1;
  TMR0.TCCR.BIT.CKS  = 3;    

  IEN(TMR0, CMIA0)   = 1;     
  IPR(TMR0, CMIA0)   = 2;    
  IR(TMR0, CMIA0)    = 0;
}
